# Get contract types

Retrieve a list of contract types

Endpoint: GET /v2/contractTypes

## Query parameters:

  - `$skip` (integer)
    Specifies the number of items to skip

  - `$top` (integer)
    Specifies the maximum number of items to return

## Response 200 fields (application/json):

  - `items` (array)
    The collection of items

  - `items.id` (integer,null)
    The system identifier for the contract type
    Example: 1234

  - `items.name` (string,null)
    The user defined name of the contract type
    Example: "Contractor Agreement"

  - `items.parent` (object,null)
    The parent contract type

  - `items.parent.id` (integer)
    The system identifier for the contract group
    Example: 5002

  - `items.parent.name` (string)
    The name of the contract type
    Example: "Employment"

  - `items.hasWizard` (boolean,null)
    The contract type has a wizard in place.

  - `items.teamAssignmentRequired` (boolean,null)
    The contract type has a team assignment required.

## Response 400 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `errors` (object)
    A dictionary of validation errors, where each key is a field api name and the value is a list of error messages.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.


